Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface Descriptor

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable

All Known Implementing Classes:
  DescriptorSupport

public interface Descriptor
extends java.io.Serializable, java.lang.Cloneable

This interface represents the behavioral metadata set for a JMX Element. For examples, a descriptor is part of the ModelMBeanInfo, ModelMBeanNotificationInfo, ModelMBeanAttributeInfo, ModelMBeanConstructorInfo, and ModelMBeanParameterInfo.

A descriptor consists of a collection of fields. Each field is in fieldname=fieldvalue format.

All field names and values are not predefined. New fields can be defined and added by any program. In the case of ModelMBean some fields have been predefined for consistency of implementation and support by the ModelMBeanInfo ModelMBean*Info, and ModelMBean classes.

Method Summary
`java.lang.Object` | `clone()` Returns a new Descriptor which is a duplicate of the Descriptor.
`java.lang.String[]` | `getFieldNames()` Returns all the fields names in the descriptor.
`java.lang.String[]` | `getFields()` Returns all of the fields contained in this descriptor as a string array.
`java.lang.Object` | `getFieldValue(java.lang.String fieldName)` Returns the value for a specific fieldname.
`java.lang.Object[]` | `getFieldValues(java.lang.String[] fieldNames)` Returns all the field values in the descriptor as an array of Objects.
`boolean` | `isValid()` Returns true if all of the fields have legal values given their names.
`void` | `removeField(java.lang.String fieldName)` Removes a field from the descriptor.
`void` | `setField(java.lang.String fieldName, java.lang.Object fieldValue)` Sets the value for a specific fieldname.
`void` | `setFields(java.lang.String[] fieldNames, java.lang.Object[] fieldValues)` Sets all Fields in the list to the new value in with the same index in the fieldValue array.

Method Detail

### getFieldValue

    public java.lang.Object getFieldValue(java.lang.String fieldName)
                                   throws RuntimeOperationsException

  Returns the value for a specific fieldname.

  Parameters:
    `fieldName` - The field name in question; if not found, null is returned.
  Returns:
    Object Field value.
  Throws:
    `RuntimeOperationsException` - for illegal value for field name.

### setField

    public void setField(java.lang.String fieldName,
                         java.lang.Object fieldValue)
                  throws RuntimeOperationsException

  Sets the value for a specific fieldname. The field value will be validated before it is set. If it is not valid, then an exception will be thrown. This will modify an existing field or add a new field.

  Parameters:
    `fieldName` - The field name to be set. Cannot be null or empty.
    `fieldValue` - The field value to be set for the field name. Can be null.
  Throws:
    `RuntimeOperationsException` - for illegal value for field name or field value.

### getFields

    public java.lang.String[] getFields()

  Returns all of the fields contained in this descriptor as a string array.

  Returns:
    String array of fields in the format fieldName=fieldValue If the value of a field is not a String, then the toString() method will be called on it and the returned value used as the value for the field in the returned array. Object values which are not Strings will be enclosed in parentheses. If the descriptor is empty, you will get an empty array.
  See Also:
    `setFields(java.lang.String[], java.lang.Object[])`

### getFieldNames

    public java.lang.String[] getFieldNames()

  Returns all the fields names in the descriptor.

  Returns:
    String array of fields names. If the descriptor is empty, you will get an empty array.

### getFieldValues

    public java.lang.Object[] getFieldValues(java.lang.String[] fieldNames)

  Returns all the field values in the descriptor as an array of Objects. The returned values are in the same order as the fieldNames String array parameter.

  Parameters:
    `fieldNames` - String array of the names of the fields that the values should be returned for. If the array is empty then an empty array will be returned. If the array is 'null' then all values will be returned. If a field name in the array does not exist, then null is returned for the matching array element being returned.
  Returns:
    Object array of field values. If the descriptor is empty, you will get an empty array.

### removeField

    public void removeField(java.lang.String fieldName)

  Removes a field from the descriptor.

  Parameters:
    `fieldName` - String name of the field to be removed. If the field is not found no exception is thrown.

### setFields

    public void setFields(java.lang.String[] fieldNames,
                          java.lang.Object[] fieldValues)
                   throws RuntimeOperationsException

  Sets all Fields in the list to the new value in with the same index in the fieldValue array. Array sizes must match. The field value will be validated before it is set. If it is not valid, then an exception will be thrown. If the arrays are empty, then no change will take effect.

  Parameters:
    `fieldNames` - String array of field names. The array and array elements cannot be null.
    `fieldValues` - Object array of the corresponding field values. The array cannot be null. Elements of the array can be null.
  Throws:
    `RuntimeOperationsException` - for illegal value for field Names or field Values. Neither can be null. The array lengths must be equal. If the descriptor construction fails for any reason, this exception will be thrown.
  See Also:
    `getFields()`

### clone

    public java.lang.Object clone()
                           throws RuntimeOperationsException

  Returns a new Descriptor which is a duplicate of the Descriptor.

  Throws:
    `RuntimeOperationsException` - for illegal value for field Names or field Values. If the descriptor construction fails for any reason, this exception will be thrown.

### isValid

    public boolean isValid()
                    throws RuntimeOperationsException

  Returns true if all of the fields have legal values given their names.

  Returns:
    true if the values are legal.
  Throws:
    `RuntimeOperationsException` - If the validity checking fails for any reason, this exception will be thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.